<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Provincia de Cádiz</title>
    <script>
        var municipios
            window.onload = function(){
                //Cargamos los datos desde Ajax accediendo al archivo XML
                var xhr = new XMLHttpRequest();
                xhr.onreadystatechange = function(){
                    if(xhr.readyState == 4 && xhr.status == 200){
                        //En this.responseXML tengo todos los datos
                        var comarcas = JSON.parse(this.responseText);
                        for(var i = 0; i < comarcas.length; i++){
                            var option = document.createElement('option');
                            option.value = comarcas[i].id;
                            option.innerHTML = comarcas[i].nombre;
                            document.getElementById('comarca').appendChild(option);
                        }
                    }
                }
                xhr.open("GET", "Cadiz/comarcas.php", true);
                xhr.send();
            }

            function Municipios(id){
                var xhr = new XMLHttpRequest();
                xhr.onreadystatechange = function(){
                    if(xhr.readyState == 4 && xhr.status == 200){
                        //En this.responseXML tengo todos los datos
                        municipios = JSON.parse(this.responseText);
                        console.log(municipios)
                       if(document.getElementById('municipios')){
                        document.getElementById('municipios').innerHTML = '';
                        document.getElementById('municipios').innerHTML += '<option value="-1">-- Elegir Municipio --</option>'
                        for(var i = 0; i < municipios.length; i++){
                            var option = document.createElement('option');
                            option.value = i;
                            option.innerHTML = municipios[i].nombre;
                            document.getElementById('municipios').appendChild(option);
                        }
                       }
                       else{
                        document.getElementsByTagName('body')[0].innerHTML += ' Municipios: ';
                        var select = document.createElement('select');
                        select.id = 'municipios';
                        select.addEventListener('change', MuestraDatos, false);
                        document.getElementsByTagName('body')[0].appendChild(select);
                        document.getElementById('municipios').innerHTML += '<option value="-1">-- Elegir Municipio --</option>'
                        for(var i = 0; i < municipios.length; i++){
                            var option = document.createElement('option');
                            option.value = i;
                            option.innerHTML = municipios[i].nombre;
                            document.getElementById('municipios').appendChild(option);
                        }
                       }
                        var div = document.createElement('div');
                        div.id = 'final';
                        document.getElementsByTagName('body')[0].appendChild(div);
                    }
                }
                xhr.open("POST", "Cadiz/municipios.php", true);
                xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
                xhr.send("comarca=" + id);
            }

            function MuestraDatos(){
                document.getElementById('final').innerHTML = "<h3>" + municipios[this.value].nombre + "</h3>";
                document.getElementById('final').innerHTML += "<p>Población: " + municipios[this.value].poblacion + " habitantes</p>";
                document.getElementById('final').innerHTML += "<p>Superficie: " + municipios[this.value].superficie + " km²</p>";
                document.getElementById('final').innerHTML += "<p>Densidad de Población: " + (municipios[this.value].poblacion / municipios[this.value].superficie) + " habitantes/km²</p>";
                document.getElementById('final').innerHTML += "<p>Altitud: " + municipios[this.value].altitud + " metros sobre el nivel del mar</p>";
                document.getElementById('final').innerHTML += "<p>Gentilicio: " + municipios[this.value].gentilicio + "</p>";
                if(municipios[this.value].pedanias != null){
                    document.getElementById('final').innerHTML += "<p>Pedanías: " + municipios[this.value].pedanias + "</p>";
                }
            }
    </script>
</head>
<style>
#final p {
    font-style: italic;
}
</style>
<body>
    <h1>Provincia de Cádiz</h1>
    Comarcas: <select name="comarca" id="comarca" onchange="Municipios(this.value)">
    <option value="0">-- Elegir Comarca --</option>
    </select>
</body>
</html>